# `nethserver-profilemgr` #

## Progetto Scuola [<img src="https://avatars1.githubusercontent.com/u/12886037?v=3&s=200" width="25" height="25" /> BgLUG][bglug] - Scenery 1 ##

## What is and what problems solve ##

This package has to be used to simplify the administrators needs, cleaning up
some mess inside user profiles that accumulates overtime.

For the moment, the only interface enabled is via `signal-event`. Three new
events has been added:

* `profile-clean`: which cleans up all the files inside the profile;
* `profile-gui-clean`: which cleans up all the desktop-specific settings,
  preserving (where possible) also the settings for other applications;
* `profile-lo-clean`: which cleans up the LibreOffice configuration folder for
  the specific user.

### Usage ###

    # signal-event profile-clean lab01
    # signal-event profile-gui-clean lab02
    # signal-event profile-lo-clean lab03

[bglug]: http://bglug.it "BgLUG Homepage"
[ubuntu]: http://www.ubuntu.com
[samba]: http://www.samba.org
[nethserver]: http://www.nethserver.org
[server-config]: https://github.com/bglug-it/server-config
[client-pull-installation]: https://github.com/bglug-it/client-pull-installation
[bottle]: http://bottlepy.org/docs/dev/index.html
[ansible]: http://www.ansible.com
[sqlite]: https://www.sqlite.org/
[gplv2]: https://www.gnu.org/licenses/gpl-2.0.html
[enrico bacis]: https://github.com/enricobacis
[ansible-dynamic-inventory]: http://docs.ansible.com/ansible/developing_inventory.html
[epoptes]: http://www.epoptes.org/
