Name: nethserver-profilemgr
Summary: Utilities to help administrators manage user profiles.
Version: 0.9.9
Release: 1.ns6
URL: https://github.com/libreschool/nethserver-profilemgr
License: GPLv3+
Packager: Emiliano Vavassori <syntaxerrormmm@gmail.com>
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: nethserver-devtools > 1.0.1
Requires: nethserver-base, nethserver-directory
Source0:  %{name}-%{version}.tar.gz
BuildArch: noarch

%description
Utilities to help administrators managing user profiles saved within NethServer.

%prep
%setup

%build
%{makedocs}
perl createlinks.pl

%install
rm -Rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump %{buildroot})
rm -f %{name}-%{version}-%{release}-filelist
%{genfilelist} %{buildroot} > %{name}-%{version}-%{release}-filelist

%clean
rm -rf %{buildroot}

%files -f %{name}-%{version}-%{release}-filelist
%defattr(0644,root,root,755)
%doc README.md LICENSE.txt


%changelog
* Sun Mar 18 2018 Emiliano Vavassori <syntaxerrormmm@gmail.com> - 0.9.9-1
- First version, commands can be launched only in CLI mode via signal-event.
